Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.rwi
Interface RwiPattern

public interface RwiPattern

Defines string constants used as the names for Together's default patterns.

The methods RwiNode.createMemberByPattern, RwiNode.createSubnodeByPattern, RwiPackage.createNodeByPattern etc. require a name of the pattern to create a new element. You can supply the names of the patterns from this interface to create an element using the specific pattern.

The default patterns are rather smart: for example, when you create an attribute in a class using the DEFAULT_ATTRIBUTE pattern, the pattern will create a private attribute, but when the same pattern is applied to an interface it will produce a public static final attribute, etc.

Author:
  TogetherSoft

Field Summary
`final static String` | `DEFAULT_ATTRIBUTE` Creates a new `RwiMember` representing an attribute.
`final static String` | `DEFAULT_CLASS` Creates a new `RwiNode` representing a class.
`final static String` | `DEFAULT_CONSTRUCTOR` Creates a new no-arg constructor for the class.
`final static String` | `DEFAULT_DESTRUCTOR`
`final static String` | `DEFAULT_INTERFACE` Creates a new `RwiNode` representing an interface.
`final static String` | `DEFAULT_OPERATION` Creates a new `RwiMember` representing an operation.
`final static String` | `DEFAULT_PREFIX`

Field Detail

### DEFAULT_ATTRIBUTE

    public final static String DEFAULT_ATTRIBUTE

  Creates a new `RwiMember` representing an attribute. Use this pattern in the RwiNode.createMemberByPattern method to create a new attributes in classes/interfaces represented by `RwiNodes`s. The access modifiers of the newly created attribute depend on whether this attribute is created for a class or an interface:
  - When the attribute is created in `RwiNode` representing a class, the attribute is private.
  - When the attribute is created in `RwiNode` representing an interface, the attribute is public static final, so it is useless to try to set its visibility to protected (for example) by calling `setProperty(RwiProperty.PROTECTED, true)`.
  This pattern creates an integer attribute. If you need something else you can use the RwiProperty.TYPE property.

  See an example in the RwiNode.createMemberByPattern method.

  See Also:
    DEFAULT_OPERATION

### DEFAULT_CLASS

    public final static String DEFAULT_CLASS

  Creates a new `RwiNode` representing a class. The modifiers of the newly created class depend on where this class is created:
  - when the class is created using this pattern in the RwiPackage.createNodeByPattern or RwiDiagram.createNodeByPattern method it has the public visibility.
  - When it is created through the method RwiNode.createSubnodeByPattern for `RwiNode` representing a class, the class will be private static.
  - When it is created through the method RwiNode.createSubnodeByPattern for `RwiNode` representing an interface, the class will be public static.

  See examples in the `RwiPackage.createNodeByPattern` and `RwiNode.createSubnodeByPattern` methods.

### DEFAULT_CONSTRUCTOR

    public final static String DEFAULT_CONSTRUCTOR

  Creates a new no-arg constructor for the class.

### DEFAULT_DESTRUCTOR

    public final static String DEFAULT_DESTRUCTOR

### DEFAULT_INTERFACE

    public final static String DEFAULT_INTERFACE

  Creates a new `RwiNode` representing an interface. The modifiers of the newly created interface depend on where this interface is created:
  - when the interface is created using this pattern in the RwiPackage.createNodeByPattern or RwiDiagram.createNodeByPattern method it has the public visibility.
  - When it is created through the method RwiNode.createSubnodeByPattern for `RwiNode` representing a class, the interface will be private static.
  - When it is created through the method RwiNode.createSubnodeByPattern for `RwiNode` representing an interface, the interface will be public static.

  See examples in the `RwiPackage.createNodeByPattern` and `RwiNode.createSubnodeByPattern` methods.

### DEFAULT_OPERATION

    public final static String DEFAULT_OPERATION

  Creates a new `RwiMember` representing an operation. Use this pattern in the RwiNode.createMemberByPattern method to create a new operation in classes/interfaces represented by `RwiNodes`s. The access modifiers of the newly created operation depend on whether this operation is created for a class or an interface:
  - When the operation is created in `RwiNode` representing a class, the operation is private.
  - When the operation is created in `RwiNode` representing an interface, the operation is public abstract, so it is useless to try to set its visibility to protected (for example) by calling `setProperty(RwiProperty.PROTECTED, true)`.
  This pattern creates a void operation operation with no parameters. If you need something else you can use the RwiProperty.RETURN_TYPE RwiProperty.PARAMETERS_TEXT properties.

  See an example in the RwiNode.createMemberByPattern method.

  See Also:
    DEFAULT_ATTRIBUTE

### DEFAULT_PREFIX

    public final static String DEFAULT_PREFIX

Association Links

to Class java.lang.String

to Class java.lang.String

  Creates a new `RwiNode` representing a class. The modifiers of the newly created class depend on where this class is created:
  - when the class is created using this pattern in the {@link com.togethersoft.openapi.rwi.RwiPackage#createNodeByPattern RwiPackage.createNodeByPattern} or {@link com.togethersoft.openapi.rwi.RwiDiagram#createNodeByPattern RwiDiagram.createNodeByPattern} method it has the public visibility.
  - When it is created through the method {@link com.togethersoft.openapi.rwi.RwiNode#createSubnodeByPattern RwiNode.createSubnodeByPattern} for `RwiNode` representing a class, the class will be private static.
  - When it is created through the method {@link com.togethersoft.openapi.rwi.RwiNode#createSubnodeByPattern RwiNode.createSubnodeByPattern} for `RwiNode` representing an interface, the class will be public static.

  See examples in the `RwiPackage.createNodeByPattern` and `RwiNode.createSubnodeByPattern` methods.

to Class java.lang.String

  Creates a new `RwiNode` representing an interface. The modifiers of the newly created interface depend on where this interface is created:
  - when the interface is created using this pattern in the {@link com.togethersoft.openapi.rwi.RwiPackage#createNodeByPattern RwiPackage.createNodeByPattern} or {@link com.togethersoft.openapi.rwi.RwiDiagram#createNodeByPattern RwiDiagram.createNodeByPattern} method it has the public visibility.
  - When it is created through the method {@link com.togethersoft.openapi.rwi.RwiNode#createSubnodeByPattern RwiNode.createSubnodeByPattern} for `RwiNode` representing a class, the interface will be private static.
  - When it is created through the method {@link com.togethersoft.openapi.rwi.RwiNode#createSubnodeByPattern RwiNode.createSubnodeByPattern} for `RwiNode` representing an interface, the interface will be public static.

  See examples in the `RwiPackage.createNodeByPattern` and `RwiNode.createSubnodeByPattern` methods.

to Class java.lang.String

  Creates a new `RwiMember` representing an attribute. Use this pattern in the {@link com.togethersoft.openapi.rwi.RwiNode#createMemberByPattern RwiNode.createMemberByPattern} method to create a new attributes in classes/interfaces represented by `RwiNodes`s. The access modifiers of the newly created attribute depend on whether this attribute is created for a class or an interface:
  - When the attribute is created in `RwiNode` representing a class, the attribute is private.
  - When the attribute is created in `RwiNode` representing an interface, the attribute is public static final, so it is useless to try to set its visibility to protected (for example) by calling `setProperty(RwiProperty.PROTECTED, true)`.
  This pattern creates an integer attribute. If you need something else you can use the {@link com.togethersoft.openapi.rwi.RwiProperty#TYPE RwiProperty.TYPE} property.

  See an example in the {@link com.togethersoft.openapi.rwi.RwiNode#createMemberByPattern RwiNode.createMemberByPattern} method.

  see #DEFAULT_OPERATION

to Class java.lang.String

  Creates a new `RwiMember` representing an operation. Use this pattern in the {@link com.togethersoft.openapi.rwi.RwiNode#createMemberByPattern RwiNode.createMemberByPattern} method to create a new operation in classes/interfaces represented by `RwiNodes`s. The access modifiers of the newly created operation depend on whether this operation is created for a class or an interface:
  - When the operation is created in `RwiNode` representing a class, the operation is private.
  - When the operation is created in `RwiNode` representing an interface, the operation is public abstract, so it is useless to try to set its visibility to protected (for example) by calling `setProperty(RwiProperty.PROTECTED, true)`.
  This pattern creates a void operation operation with no parameters. If you need something else you can use the {@link com.togethersoft.openapi.rwi.RwiProperty#RETURN_TYPE RwiProperty.RETURN_TYPE} {@link com.togethersoft.openapi.rwi.RwiProperty#PARAMETERS_TEXT RwiProperty.PARAMETERS_TEXT} properties.

  See an example in the {@link com.togethersoft.openapi.rwi.RwiNode#createMemberByPattern RwiNode.createMemberByPattern} method.

  see #DEFAULT_ATTRIBUTE

to Class java.lang.String

  Creates a new no-arg constructor for the class.

to Class java.lang.String

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD